CVE-2005-1880
CVSS2.1
发布时间 :2005-06-06 00:00:00
修订时间 :2008-09-05 16:50:19
NMCOS    

[原文]everybuddy 0.4.3 and earlier allows local users to overwrite arbitrary files via a symlink attack on a temporary file created by a system call to wget.


[CNNVD]EveryBuddy 文件创建漏洞(CNNVD-200506-036)

        everybuddy 0.4.3及早期版本中,本地用户可通过wget系统调用创建的临时文件发起symlink攻击,从而覆盖任意文件。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1880
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1880
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200506-036
(官方数据源) CNNVD

- 其它链接及资源

http://www.zataz.net/adviso/everybuddy-06062005.txt
(VENDOR_ADVISORY)  MISC  http://www.zataz.net/adviso/everybuddy-06062005.txt
http://www.securityfocus.com/bid/13865
(VENDOR_ADVISORY)  BID  13865
http://securitytracker.com/id?1014110
(VENDOR_ADVISORY)  SECTRACK  1014110
http://lists.grok.org.uk/pipermail/full-disclosure/2005-June/034422.html
(VENDOR_ADVISORY)  FULLDISC  20050606 everybuddy <= 0.4.3 insecure temporary file creation
http://bugs.gentoo.org/show_bug.cgi?id=94473
(VENDOR_ADVISORY)  MISC  http://bugs.gentoo.org/show_bug.cgi?id=94473

- 漏洞信息

EveryBuddy 文件创建漏洞
低危 访问验证错误
2005-06-06 00:00:00 2005-10-20 00:00:00
本地  
        everybuddy 0.4.3及早期版本中,本地用户可通过wget系统调用创建的临时文件发起symlink攻击,从而覆盖任意文件。

- 公告与补丁

        

- 漏洞信息

17174
everybuddy Symlink Arbitrary File Create/Overwrite
Local Access Required Race Condition
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-06-06 2005-05-30
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

EveryBuddy Autotrans.C Insecure Temporary File Creation Vulnerability
Access Validation Error 13865
No Yes
2005-06-06 12:00:00 2009-07-12 02:56:00
Discovery is credited to Eric Romang <eromang@zataz.net>.

- 受影响的程序版本

MySQL AB MySQL 5.0.4
MySQL AB MySQL 5.0.3
MySQL AB MySQL 5.0.2
MySQL AB MySQL 5.0.1
MySQL AB MySQL 5.0 .0-alpha
MySQL AB MySQL 5.0 .0-0
MySQL AB MySQL 4.0.11 -gamma
MySQL AB MySQL 4.0.11
+ Mandriva Linux Mandrake 9.1 ppc
+ Mandriva Linux Mandrake 9.1
MySQL AB MySQL 4.0.10
MySQL AB MySQL 4.0.9 -gamma
MySQL AB MySQL 4.0.9
MySQL AB MySQL 4.0.8 -gamma
MySQL AB MySQL 4.0.8
MySQL AB MySQL 4.0.7 -gamma
MySQL AB MySQL 4.0.7
MySQL AB MySQL 4.0.6
MySQL AB MySQL 4.0.5 a
MySQL AB MySQL 4.0.5
MySQL AB MySQL 4.0.4
MySQL AB MySQL 4.0.3
MySQL AB MySQL 4.0.2
MySQL AB MySQL 4.0.1
MySQL AB MySQL 4.0 .0
EveryBuddy EveryBuddy 0.4.3
MySQL AB MySQL 4.0.12

- 不受影响的程序版本

MySQL AB MySQL 4.0.12

- 漏洞讨论

EveryBuddy is reportedly affected by an insecure temporary file creation vulnerability.

The vulnerability arises when EveryBuddy executes and creates a temporary file in the '/tmp' folder with a predictable filename.

EveryBuddy releases up to version 0.4.3 are reported vulnerable.

- 漏洞利用

An exploit is not required.

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站